/*
 * Copyright (c) Huawei Technologies Co., Ltd. 2021-2021. All rights reserved.
 * Description:MViz 系统相关帮助类
 * Create: 2021-08-12
 */
#ifndef MDC_SAMPLE_SYSTEM_HELPER_H
#define MDC_SAMPLE_SYSTEM_HELPER_H

#include <chrono>
#include <string>
#include <vector>

#include <ara/log/logging.h>

#include "display_types/viz_times.h"

class SystemUtils {
public:
    static mdc::visual::Times GetCurrentTime();

    /*
     * 功能：获取可执行二进制文件的路径
     * 输入参数：无
     * 输出参数：无
     * 返回值：可执行二进制文件的路径
     */
    static std::string GetExecutablePath();

    /*
     * 功能：将相对路径转换为绝对路径
     * 输入参数：relativePath-相对路径
     * 输出参数：无
     * 返回值：转换后的绝对路径
     */
    static std::string RelativePathToAbsolutePath(const std::string &relativePath);

    /*
     * 功能：获取data文件夹中的文件的相对路径
     * 输入参数：fileName-文件名
     * 输出参数：无
     * 返回值：文件相对于可执行文件的相对路径
     */
    static std::string GetFilePathInDataDir(const std::string &fileName);
};


#endif // MDC_SAMPLE_SYSTEM_HELPER_H
